apiVersion: jobset.x-k8s.io/v1alpha2
kind: JobSet
metadata:
  name: startup-driver-ready
spec:
  startupPolicy:
    startupPolicyOrder: InOrder
  replicatedJobs:
  - name: driver
    template:
      spec:
        parallelism: 1
        completions: 1
        backoffLimit: 0
        template:
          spec:
            containers:
            - name: sleep
              image: busybox
              command: 
                - sleep
              args:
                - 100s
              readinessProbe:
                exec:
                  command:
                  - echo
                  - "ready"
                initialDelaySeconds: 30
  - name: workers
    template:
      spec:
        parallelism: 4
        completions: 4
        backoffLimit: 0
        template:
          spec:
            containers:
            - name: sleep
              image: busybox
              command: 
                - sleep
              args:
                - 100s